Page MenuHomePhabricator

remotenames: don't use the default value of logfmt for namespaces
ClosedPublic

Authored by pulkit on Feb 15 2018, 7:02 AM.

Details

Summary

logfmt is the format which is used to format the log output for that namespace.
This patch passes "remote {bookmark|branch}: %s" as the logfmt. Space is not
added after bookmark and branch to make output consistent with other details.

Still this is not the best output. We may need to wrap getlogcolumns() to change
spacing in the in built columns to match the remotenames one.

lognames are also deleted as they are superseded by logfmt.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Feb 15 2018, 7:02 AM
yuja requested changes to this revision.Feb 16 2018, 7:17 AM
yuja added a subscriber: yuja.

Looks good, but perhaps we can delete logname superseded by logfmt.

This revision now requires changes to proceed.Feb 16 2018, 7:17 AM
pulkit edited the summary of this revision. (Show Details)Feb 16 2018, 7:33 AM
pulkit updated this revision to Diff 5777.
This revision was automatically updated to reflect the committed changes.
smf added a subscriber: smf.Feb 20 2018, 6:45 PM

pulkit (Pulkit Goyal) <phabricator@mercurial-scm.org> writes:

pulkit updated this revision to Diff 5777.
pulkit edited the summary of this revision.
REPOSITORY

rHG Mercurial

CHANGES SINCE LAST UPDATE

https://phab.mercurial-scm.org/D2277?vs=5756&id=5777

REVISION DETAIL

https://phab.mercurial-scm.org/D2277

AFFECTED FILES

hgext/remotenames.py
tests/test-logexchange.t

CHANGE DETAILS
diff --git a/tests/test-logexchange.t b/tests/test-logexchange.t

  • a/tests/test-logexchange.t

+++ b/tests/test-logexchange.t
@@ -127,24 +127,24 @@

@  changeset:   8:3e1487808078
|  branch:      wat
|  tag:         tip
  • | remote branch:$TESTTMP/server2/wat
  • | remote branch:default/wat

+ | remote branch: $TESTTMP/server2/wat
+ | remote branch: default/wat

For archaeological purposes:

This is precisely the reason why I didn't label this as 'remote foo'
because moving the ':' set off my ocd tendencies.